package ar.com.supervielle.wsdl.servicios.integracion.beneficiossupervielle_v1;

import java.net.MalformedURLException;
import java.net.URL;
import javax.xml.namespace.QName;
import javax.xml.ws.WebEndpoint;
import javax.xml.ws.WebServiceClient;
import javax.xml.ws.WebServiceFeature;
import javax.xml.ws.Service;

/**
 * This class was generated by Apache CXF 3.0.3
 * 2019-09-26T08:29:57.453-03:00
 * Generated source version: 3.0.3
 * 
 */
@WebServiceClient(name = "BeneficiosSupervielle", 
                  wsdlLocation = "http://dasoa-01:9828/wsdl/servicios/integracion/BeneficiosSupervielle-v1.1?wsdl",
                  targetNamespace = "http://www.supervielle.com.ar/wsdl/servicios/integracion/beneficiosSupervielle-v1") 
public class BeneficiosSupervielle extends Service {

    public final static URL WSDL_LOCATION;

    public final static QName SERVICE = new QName("http://www.supervielle.com.ar/wsdl/servicios/integracion/beneficiosSupervielle-v1", "BeneficiosSupervielle");
    public final static QName BeneficiosSupervielleSvc = new QName("http://www.supervielle.com.ar/wsdl/servicios/integracion/beneficiosSupervielle-v1", "BeneficiosSupervielleSvc");
    public final static QName BeneficiosSupervielleSvcV11 = new QName("http://www.supervielle.com.ar/wsdl/servicios/integracion/beneficiosSupervielle-v1", "BeneficiosSupervielleSvc_v1.1");
    static {
        URL url = null;
        try {
            url = new URL("http://dasoa-01:9828/wsdl/servicios/integracion/BeneficiosSupervielle-v1.1?wsdl");
        } catch (MalformedURLException e) {
            java.util.logging.Logger.getLogger(BeneficiosSupervielle.class.getName())
                .log(java.util.logging.Level.INFO, 
                     "Can not initialize the default wsdl from {0}", "http://dasoa-01:9828/wsdl/servicios/integracion/BeneficiosSupervielle-v1.1?wsdl");
        }
        WSDL_LOCATION = url;
    }

    public BeneficiosSupervielle(URL wsdlLocation) {
        super(wsdlLocation, SERVICE);
    }

    public BeneficiosSupervielle(URL wsdlLocation, QName serviceName) {
        super(wsdlLocation, serviceName);
    }

    public BeneficiosSupervielle() {
        super(WSDL_LOCATION, SERVICE);
    }
    
    //This constructor requires JAX-WS API 2.2. You will need to endorse the 2.2
    //API jar or re-run wsdl2java with "-frontend jaxws21" to generate JAX-WS 2.1
    //compliant code instead.
    public BeneficiosSupervielle(WebServiceFeature ... features) {
        super(WSDL_LOCATION, SERVICE, features);
    }

    //This constructor requires JAX-WS API 2.2. You will need to endorse the 2.2
    //API jar or re-run wsdl2java with "-frontend jaxws21" to generate JAX-WS 2.1
    //compliant code instead.
    public BeneficiosSupervielle(URL wsdlLocation, WebServiceFeature ... features) {
        super(wsdlLocation, SERVICE, features);
    }

    //This constructor requires JAX-WS API 2.2. You will need to endorse the 2.2
    //API jar or re-run wsdl2java with "-frontend jaxws21" to generate JAX-WS 2.1
    //compliant code instead.
    public BeneficiosSupervielle(URL wsdlLocation, QName serviceName, WebServiceFeature ... features) {
        super(wsdlLocation, serviceName, features);
    }    

    /**
     *
     * @return
     *     returns BeneficiosSuperviellePortTypeV1
     */
    @WebEndpoint(name = "BeneficiosSupervielleSvc")
    public BeneficiosSuperviellePortTypeV1 getBeneficiosSupervielleSvc() {
        return super.getPort(BeneficiosSupervielleSvc, BeneficiosSuperviellePortTypeV1.class);
    }

    /**
     * 
     * @param features
     *     A list of {@link javax.xml.ws.WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
     * @return
     *     returns BeneficiosSuperviellePortTypeV1
     */
    @WebEndpoint(name = "BeneficiosSupervielleSvc")
    public BeneficiosSuperviellePortTypeV1 getBeneficiosSupervielleSvc(WebServiceFeature... features) {
        return super.getPort(BeneficiosSupervielleSvc, BeneficiosSuperviellePortTypeV1.class, features);
    }
    /**
     *
     * @return
     *     returns BeneficiosSuperviellePortTypeV11
     */
    @WebEndpoint(name = "BeneficiosSupervielleSvc_v1.1")
    public BeneficiosSuperviellePortTypeV11 getBeneficiosSupervielleSvcV11() {
        return super.getPort(BeneficiosSupervielleSvcV11, BeneficiosSuperviellePortTypeV11.class);
    }

    /**
     * 
     * @param features
     *     A list of {@link javax.xml.ws.WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
     * @return
     *     returns BeneficiosSuperviellePortTypeV11
     */
    @WebEndpoint(name = "BeneficiosSupervielleSvc_v1.1")
    public BeneficiosSuperviellePortTypeV11 getBeneficiosSupervielleSvcV11(WebServiceFeature... features) {
        return super.getPort(BeneficiosSupervielleSvcV11, BeneficiosSuperviellePortTypeV11.class, features);
    }

}
